Highlighted

Your system requires SMB2 or higher.

New Here ,
Apr 15, 2019

Copy link to clipboard

Copied

Hello,

We have run into a publishing issue. Here is the error message.

Publishing has been cancelled.

You can’t connect to the file share because it’s not secure. This share requires the obsolete SMB1 protocol, which is unsafe and could expose your system to attack. Your system requires SMB2 or higher. For more info on resolving this issue, see:

https://go.microsoft.com/fwlink/?linkid=852747

We are running RoboHelp 11

Windows 10 Enterprise

8 Gig RAM

64-bit

Our company is upgrading to the newest version of Windows 10, and it is not letting us publish to our folder on our server. Is there a patch for the SMB 1 and SMB 2 issue for RoboHelp 11?

Error-Message.jpg

Adobe Community Professional
Correct answer by Amebr | Adobe Community Professional

Andre, can you check with your IT guys that the location you are publishing to is set up as SMBv2? To me, the message indicates that the server is configured for SMBv1.

So if they are concerned about SMBv1 security, wouldn't that also need to be updated?

It's also possible the message is wrong (it wouldn't be the first time MS has been unclear), but it wouldn't hurt to ask the question to be sure.

Views

5.9K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Your system requires SMB2 or higher.

New Here ,
Apr 15, 2019

Copy link to clipboard

Copied

Hello,

We have run into a publishing issue. Here is the error message.

Publishing has been cancelled.

You can’t connect to the file share because it’s not secure. This share requires the obsolete SMB1 protocol, which is unsafe and could expose your system to attack. Your system requires SMB2 or higher. For more info on resolving this issue, see:

https://go.microsoft.com/fwlink/?linkid=852747

We are running RoboHelp 11

Windows 10 Enterprise

8 Gig RAM

64-bit

Our company is upgrading to the newest version of Windows 10, and it is not letting us publish to our folder on our server. Is there a patch for the SMB 1 and SMB 2 issue for RoboHelp 11?

Error-Message.jpg

Adobe Community Professional
Correct answer by Amebr | Adobe Community Professional

Andre, can you check with your IT guys that the location you are publishing to is set up as SMBv2? To me, the message indicates that the server is configured for SMBv1.

So if they are concerned about SMBv1 security, wouldn't that also need to be updated?

It's also possible the message is wrong (it wouldn't be the first time MS has been unclear), but it wouldn't hurt to ask the question to be sure.

Views

5.9K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Apr 15, 2019 0
Adobe Community Professional ,
Apr 15, 2019

Copy link to clipboard

Copied

I have not seen anyone report these errors and I don't recall seeing them

mentioned in any patch.

I think you need to liaise with your IT people on this.

Peter Grainge

www.grainge.org

@petergrainge

www.grainge.org for free RoboHelp & Authoring info. Use the blue Reply button at the top to help me help you.
The black Reply link nests replies and they sort out of order.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 15, 2019 0
New Here ,
Apr 16, 2019

Copy link to clipboard

Copied

Hello Peter,

Thanks. I will see if IT can do anything to resolve this issue. I am surprised no one else has ran into this issue.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 16, 2019 0
Adobe Community Professional ,
Apr 15, 2019

Copy link to clipboard

Copied

If I'm reading the article right, MS has automatically uninstalled client-side SMBv1 from Windows 10, but the server is still set up to use SMBv1. So I *think* your IT guys either need to install client-side SMBv1 on your PC OR upgrade the server to SMBv2 or above. The article you linked should be all they need to figure out what they need to do.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 15, 2019 0
New Here ,
Apr 16, 2019

Copy link to clipboard

Copied

Hello Amebr,

Thank you for the reply. I will forward the link to IT and hopefully they can use the information to help resolve this issue. If it works, I will let this post know, so others will have a resolution. Thanks.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 16, 2019 0
New Here ,
Apr 17, 2019

Copy link to clipboard

Copied

Hello,

We talked to IT and they won't install SMB1, because it is not secure enough. They asked if RoboHelp will still work if they setup a Virtual Desktop using an older version of Windows. Like Windows 7. I understand that RoboHelp works best on your C drive, but can RH work on a Virtual Desktop and publish?

Thanks,

Andre

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 17, 2019 0
Adobe Community Professional ,
Apr 17, 2019

Copy link to clipboard

Copied

I have used a version of RoboHelp on a virtual machine, not sure which version now but it worked.

See Versions of Windows and MS Word compatible with RoboHelp. RoboHelp 11 is OK with Windows 7.

Generating an output to the virtual machine will work. Your IT will have to decide if that machine is allowed to publish to the network. If not, you will have to get the generated output to where it is required by some other means. IT will be able to figure something out.


See www.grainge.org for free RoboHelp and Authoring information.

@petergrainge

www.grainge.org for free RoboHelp & Authoring info. Use the blue Reply button at the top to help me help you.
The black Reply link nests replies and they sort out of order.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 17, 2019 0
Adobe Community Professional ,
Apr 17, 2019

Copy link to clipboard

Copied

Andre, can you check with your IT guys that the location you are publishing to is set up as SMBv2? To me, the message indicates that the server is configured for SMBv1.

So if they are concerned about SMBv1 security, wouldn't that also need to be updated?

It's also possible the message is wrong (it wouldn't be the first time MS has been unclear), but it wouldn't hurt to ask the question to be sure.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 17, 2019 0
New Here ,
May 16, 2019

Copy link to clipboard

Copied

Hello Amebr,

If your laptop/desktop has been upgraded to the newest version of Windows 10 and the SMB was upgraded to SMB2, here is the solution; make certain that the server you’re publishing to has been upgraded to SMB2. I tested this scenario. I had our IT create a test folder for me to publish to on the upgraded server and used the upgraded laptop/desktop with SMB2 to publish the test project.

An upgraded laptop/desktop with SMB2 cannot publish to a server that is using SMB1.

Here is an FYI.

A laptop/desktop with SMB1 can publish to a server that is using SMB2. I tested this scenario.

Here is another FYI.

If you have an upgraded laptop/desktop with SMB2 and your IT cannot upgrade your project server in time, you might have to have IT create a Virtual Machine on your upgraded laptop/desktop and use an older version of Windows.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 16, 2019 0